@import "../../assets/css/variables.scss";

#root {
  width: 100%;
  height: 100%;
}

.editor-container, .sc-bdVaJa.loEWuV {
  width: 100%;
  height: 100vh !important;
}

.sc-bdVaJa.loEWuV {
  height: 88%;
}

.editor-container {
  // margin-top: 10%;
  height: 97%;
}

.view-template {
  background: $primary-color;
	background: -webkit-linear-gradient(to left, #CC6196, #9C66BB);
	background: linear-gradient(to left, #CC6196, #9C66BB);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: 0 0;
  text-align: right;
  padding: 1% 2% 1% 0;
  float: right;
  width: 26.6em;
  height: 70px;
  margin-bottom: 0.7%;
  margin-top: -70px;
  border-radius: 10px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  position: relative;
  color: white;
}
.view-template span {
  cursor: pointer;
}
.margin-none {
  margin: 0;
}
.textos { 
  p {
    margin-top: 1%;
    color: black;
    margin-bottom: 0;
  } 
}
.textos {
  color: black;
  margin-top: 23.5px;
  width: 74%;
  display: grid;
  grid-template-columns: 72.3% 11.7%;
}
.view-template a {
  color: $white;
}
.view-template span {
  text-transform: uppercase;
  font-weight: 600;
  font-family: Roboto;
  font-size: 12px;
}
.wall {
  width: 20.8%;
  height: 4.5%;
  position: absolute;
  bottom: -14.8vh;
  right: 1vw;
  background-color: #eeeeee;
  z-index: 3;
}

.save-template {
  // float: left;
  color: white;
  margin-left: 2% !important;
}

.prev-template {
  margin-left: 2% !important;
  border: 1px solid black;
  border-radius: 25px;
  display: flex;
  align-items: center;
  padding: 0.7% 2.5%;
  text-transform: uppercase;
  font-size: small;
  cursor: pointer;
  height: 48px;
  justify-content: center;
  margin-top: 10px;
}
.display-flex {
  display: flex !important; 
  align-items: center;
}

.icon {
  width: 20px;
  height: 20px;
  margin-right: 10px;
  cursor: pointer;
}
span {
  font-size: 15px;
}
.buttons-container {
  padding: 0, 2%;
  display: flex;
}
@media screen and (max-width: 1671px) {
  .wall {
    width: 21.8%;
    height: 3.8%;
    position: absolute;
    bottom: -15.7vh;
    right: 1vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1620px) {
  .wall {
    width: 21.8%;
    height: 3.8%;
    position: absolute;
    bottom: -18vh;
    right: 1.5vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1525px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -16vh;
    right: 1.5vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1470px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -16.5vh;
    right: 1.5vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1415px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -16.5vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1400px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -15.7vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1350px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -16.5vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1273px) {
  .view-template {
    width: 22.6em;
  }
}
@media screen and (max-width: 1260px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -16vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1210px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -15.5vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}
@media screen and (max-width: 1170px) {
  .wall {
    width: 27.8%;
    height: 2.8%;
    position: absolute;
    bottom: -18.5vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
}
  }
@media screen and (max-width: 1140px) {
  .prev-template {
    margin-top: 46px;
  }
  .margin-none {
    margin-top: 23px;
  }
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: -20.5vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
}
}

@media screen and (max-width: 999px) {
  .wall {
    width: 22.8%;
    height: 2.8%;
    position: absolute;
    bottom: 16.5vh;
    right: 2vw;
    background-color: #eeeeee;
    z-index: 3;
  }
}